Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.flagstone.transform
Class FSUnknownAction

    java.lang.Object
      com.flagstone.transform.FSTransformObject
          com.flagstone.transform.FSActionObject
              com.flagstone.transform.FSUnknownAction

All Implemented Interfaces:
  java.lang.Cloneable

    public class FSUnknownAction

extends FSActionObject

FSUnknownAction class is used to represent any action decoded from a Flash file that is currently not supported by the framework.

This allows Flash files to be parsed, processed and encoded without affecting any of the actions not directly supported.

Attributes
type | The value used to identify the type of action. Read-only.
data | The encoded bytes that make up the body of the action's data structure.

The object provides direct access to the encoded data of the action offering the possibility to encode and decode actions that are not directly supported in the current release of the framework. However a detailed knowledge of how the action is encoded and decoded is required.

Field Summary

Fields inherited from class com.flagstone.transform.FSActionObject
`Call, ExceptionHandler, GetUrl, GetUrl2, GotoFrame, GotoFrame2, GotoLabel, If, Jump, length, NewFunction, NewFunction2, Push, RegisterCopy, SetTarget, Table, type, WaitForFrame, WaitForFrame2, With`

Constructor Summary
`FSUnknownAction(FSCoder coder)` Construct an FSUnknownAction object, initialising it with values decoded from an encoded object.
`FSUnknownAction(FSUnknownAction obj)` Constructs an FSUnknownAction object by copying values from an existing object.
`FSUnknownAction(int aType, byte[] bytes)` Constructs an FSUnknownAction object of the specified type with the encoded Flash data.

Method Summary
`void` | `appendDescription(java.lang.StringBuffer buffer, int depth)` AppendDescription is used to present a string description of the object including all nested objects up to a specified depth.
`java.lang.Object` | `clone()` Creates a deep copy of the entire object.
`void` | `decode(FSCoder coder)`
`void` | `encode(FSCoder coder)`
`boolean` | `equals(java.lang.Object anObject)` Returns true if anObject is equal to this one.
`byte[]` | `getData()` Gets the encoded data for the action.
`int` | `length(FSCoder coder)`
`void` | `setData(byte[] bytes)` Sets the encoded data for the action.

Methods inherited from class com.flagstone.transform.FSActionObject
`getType, length`

Methods inherited from class com.flagstone.transform.FSTransformObject
`name, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FSUnknownAction

    public FSUnknownAction(FSCoder coder)

  Construct an FSUnknownAction object, initialising it with values decoded from an encoded object.

  Parameters:
    `coder` - an FSCoder containing the binary data.

### FSUnknownAction

    public FSUnknownAction(int aType,
                           byte[] bytes)

  Constructs an FSUnknownAction object of the specified type with the encoded Flash data.

  Parameters:
    `aType` - the code identifying the action type.
    `bytes` - the encoded data for the action.

### FSUnknownAction

    public FSUnknownAction(FSUnknownAction obj)

  Constructs an FSUnknownAction object by copying values from an existing object.

  Parameters:
    `obj` - an FSUnknownAction object.

Method Detail

### getData

    public byte[] getData()

  Gets the encoded data for the action.

  Returns:
    an array of bytes representing the action data when encoded to a Flash file.

### setData

    public void setData(byte[] bytes)

  Sets the encoded data for the action.

  Parameters:
    `bytes` - the encoded data for the action.

### clone

    public java.lang.Object clone()

  Description copied from class: `FSTransformObject`
  Creates a deep copy of the entire object.

  Overrides:
    `clone` in class `FSTransformObject`
  Returns:
    a copy of the object.

### equals

    public boolean equals(java.lang.Object anObject)

  Description copied from class: `FSActionObject`
  Returns true if anObject is equal to this one. Objects are considered equal if they would generate identical binary data when they are encoded to a Flash file.

  Overrides:
    `equals` in class `FSActionObject`
  Returns:
    true if this object would be identical to anObject when encoded.

### appendDescription

    public void appendDescription(java.lang.StringBuffer buffer,
                                  int depth)

  Description copied from class: `FSTransformObject`
  AppendDescription is used to present a string description of the object including all nested objects up to a specified depth. This method provide a more controlled way of creating a string representation of an object since large objects such as font or shape definitions can contain dozens of nested objects. The representation of the object is appended to the StringBuffer, showing the name of the class and values of the attributes it contains. If the object contains any attributes that are objects then the object graph will be traversed up to the specified depth. If objects are nested at a level less than specified depth then the full string representation of the object is displayed. For objects at the specified depth only the name of the class is displayed. Any objects below this depth are not displayed.

  Specified by:
    `appendDescription` in class `FSTransformObject`
  Parameters:
    `buffer` - a StringBuffer to which the description of each object is appended.
    `depth` - the maximum level of nesting up to which objects will be displayed.

### length

    public int length(FSCoder coder)

  Overrides:
    `length` in class `FSActionObject`

### encode

    public void encode(FSCoder coder)

  Overrides:
    `encode` in class `FSActionObject`

### decode

    public void decode(FSCoder coder)

  Overrides:
    `decode` in class `FSActionObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD